import QtQuick 2.4
import QtQuick.Controls 2.4
import QtQuick.Layouts 1.3

Page {
    width: 1280
    height: 200

    font.capitalization: Font.MixedCase

    Connections {
        target: _qmlHandler
        onLog: {
            footerLog.append(new Date().toLocaleTimeString(
                                 Qt.locale("de_DE"), "[hh:mm:ss]\n") + logText)
            footerFlickable.contentY = footerLog.height - footerFlickable.height
        }

        onFooterSetStatus: {
            footerStatusText.text = "Status: " + status
        }
    }

    Rectangle {
        anchors.fill: parent
        color: "#404040"

        ColumnLayout {
            anchors.fill: parent

            RowLayout {
                Layout.preferredHeight: 30
                Layout.preferredWidth: parent.width

                Text {
                    id: footerStatusText
                    Layout.preferredHeight: parent.height
                    Layout.preferredWidth: 1000
                    color: "#ffffff"
                    text: qsTr("")
                    font.pixelSize: 23
                }

                Button {
                    id: footerGetStatusButton
                    Layout.preferredHeight: 30
                    Layout.preferredWidth: 250
                    text: qsTr("Get Status")
                    // @disable-check M223
                    onClicked: {
                        footerStatusText.text = ""
                        // @disable-check M222
                        _qmlHandler.onFooterGetStatusButton()
                    }
                }
            }

            Flickable {
                id: footerFlickable
                flickableDirection: Flickable.VerticalFlick
                Layout.preferredHeight: 170
                Layout.preferredWidth: parent.width

                TextArea.flickable: TextArea {
                    selectByMouse: true
                    id: footerLog
                    readOnly: true
                    wrapMode: TextArea.Wrap
                    text: qsTr("")
                    font.pointSize: 15
                }

                ScrollBar.vertical: ScrollBar {
                }
            }
        }
    }
}
